Hello,
If I call the method "SelectElement2", I select the proper element, all ok. But, at this point (with the selected element "loaded") if I click in the 3D workspace or anywhere, the selection is lost.
So, if the end user make a click before using the selected element, the selected element...
Hello,
For those who are familiar with the DMU Fitting workbench:
While doing a track, you can pick a lose part of an assembly. Is it possible to move the part and move the whole assembly according to the constraints, just by picking the part?
For example: a robot, if I move the tip of the...
I quote here a post with an unsolved question, at least for me.
thread560-460083
Does anyone knows how to change the raster mode option to "shading" programmatically?
Thanks,
Al.
Hello,
When creating a drawing document and adding a new view programmatically, I end up with the Balloon Generation button greyed out.
Instead, if I do the same manually, I can use the "generate balloons command".
Why the button is disabled when I use the code?
Sub...
thread560-95318
Hello,
I have the following situation:
I run a program (using visual basic under Visual Studio) to change instances name. The program works just fine.
I have the following lines in case the user "cancel" the renaming and wants to go back with the changes:
Private Sub...
thread560-450512
There was a thread unsolved and closed. I have the same question.
Do anyone knows how to refresh the tree ?
The method "CATIA.RefreshDsiplay = true/false" doesn't work well.
Thank you.
Hello,
I have the error "Object variable not set (Error 91)"
I don't even know where to start solving this.
In the attachment there's a very simple code that I can't move forward because of the error.
Any help will be very welcome...
Hello,
I have the same problem to this post here:
https://www.eng-tips.com/viewthread.cfm?qid=350341#post
But, I can't come up with any solution.
VB is still showing: "compile error: User-defined type not defined"
I tried all cases: "workbooks", "Workbooks", etc, nothing works.
Only...
Hello,
I'm using MS VB to draw a frame in the drawing.
I would like to know the method to set the line color?
Sub Frame()
Set oDrwDoc = CATIA.ActiveDocument
Dim oFact As Factory2D
Set oFact = oView.Factory2D
Dim dW As Double
Dim oLine As Line2D
Dim dH As Double
dW =...